Subject: Re: Git rescue mission

From: Jakub Narebski <[email-masked]>
Date: Fri, 09 Feb 2007 03:01:41 +0100

<opublikowany i wysłany>

Theodore Tso wrote:

> On Thu, Feb 08, 2007 at 05:10:23PM -0500, Shawn O. Pearce wrote:
>>      git config alias.new "gitk --all --not ORIG_HEAD"
>> 
>> Would give you a new git subcommand:
>> 
>>      git new
>> 
>> which shows all of the new stuff, on all branches, but doesn't show
>> your prior commit history.
> 
> Aliases don't seem to be working for me; I'm using git 1.5.0-rc4.  Am
> I doing something wrong?
> 
> <tytso@candygram> {/usr/projects/linux/linux-2.6}  [master]
> 37% git version
> git version 1.5.0.rc4
> <tytso@candygram> {/usr/projects/linux/linux-2.6}  [master]
> 38% git config alias.new "gitk --all --not ORIG_HEAD"
> <tytso@candygram> {/usr/projects/linux/linux-2.6}  [master]
> 39% git new
> git: 'new' is not a git-command

> <tytso@candygram> {/usr/projects/linux/linux-2.6}  [master]
> 40% tail .git/config 
> 
> [user]
>         name = Theodore Ts'o
>         email = [email-masked]
> 
> [remote "iwlwifi"]
>         url = http://bughost.org/repos/iwlwifi.git/
>         fetch = +refs/heads/*:refs/remotes/iwlwifi/*
> [alias]
>         new = gitk --all --not ORIG_HEAD
>                                       

Actually I think you can only alias git commands. For example
"alias.last  =  cat-file  commit HEAD" makes "git last" call
"git cat-file  commit HEAD".

So "alias.new  = gitk --all --not ORIG_HEAD" would mean that
"git new" invokes "git gitk ..." not "gitk ...". Do you see
the problem.

But error message is a bit strange...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git